<template>
  <form @submit.prevent="submitOrder">
      <div class="top">
      <h3>Podatki plačnika</h3>
      <p>Izpolnite obvezna polja</p>
      </div>
      <label>Ime:</label>
      <input type="ime" required v-model="data.ime">

      <label>Email:</label>
      <input type="email" required v-model="data.email">

      <label>Telefon:</label>
      <input type="telefon" required v-model="data.telefon">

      <h3>Podatki dostave</h3>
      <p>Izberite paketomat/pošto</p>
      <div class="submit">
        <button class="submit" v-on:click.prevent="BtnClick"> IZBERI PAKETOMAT</button>
    </div>

      <label>Način plačila</label>
        <br>
            <input type="radio" value="cod" v-model="data.payment">
            <label for="cod">plačilo po povzetju</label>
        <br>
            <input type="radio" value="card" v-model="data.payment">
            <label for="card">plačilo s kartico</label>
           
      <div class="submit">
          <button>ODDAJ NAROČILO</button>
      </div>
   </form>   
</template>

<script>

export default {
    data() {
        return {
            data: {
                ime: '',
                email: '',
                telefon: '',
                payment: ''
            }
        }  
    },

    methods: {
        submitOrder() {
          fetch('https://backsfit.com/pju-assignment/order/create', {
              method: 'POST',
              body: JSON.stringify({
                  data:this.data
              }),
              headers:{
                  "Content-Type":"application/json; charset=UTF-8"
              }
          })
          .then(response => {
              return response.json()
          })
          .then(data => {
              console.log(data)
          })
        },

        BtnClick () {
            window.open("https://b2c.cpost.cz/locations/")
        }
    }
}
</script>

<style>
    form {
        max-width: 420px;
        margin: 30px auto;
        background: white;
        text-align: left;
        padding: 40px;
        border-radius: 10px;
    }
    label {
        color: #aaa;
        display: inline-block;
        margin: 25px 0 15px;
        font-size: .7em;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-weight: bold;
        color: rgb(53, 53, 53);
    }
    input, select {
        display: block;
        padding: 10px 6px;
        width: 100%;
        box-sizing: border-box;
        border: none;
        border-bottom: 1px solid #ddd;
        color: rgb(59, 59, 59);
    }
    input[type="radio"] {
        display: inline-block;
        width: 16px;
        margin: 0 10px 0 0;
        position: relative;
        top: 2px;
    }
    .pill {
        display: inline-block;
        margin: 20px 10px 0 0;
        padding: 6px 12px;
        background: #eee;
        border-radius: 20px;
        font-size: 12px;
        letter-spacing: 1px;
        font-weight: bold;
        color: #777;
        cursor: pointer;
    }
    button {
        background: #0b6dff;
        border: 0;
        padding: 10px 20px;
        margin-top: 20px;
        color: white;
        border-radius: 20px;
        cursor: pointer;
    }
    .submit {
        text-align: center;
    }
    .error {
        color: #ff0062;
        margin-top: 10px;
        font-size: 0.8em;
        font-weight: bold;
    }
</style>